Network News

X My Profile
View More Activity

New QuickTime Version Mends Eight Flaws

Apple has released a new version of its ubiquitous QuickTime player for both Mac OS X and Microsoft Windows computers. The latest version, v. 7.2, plugs at least eight security holes in the software.

QuickTime vulnerabilities that span both operating systems may present a very attractive target for malicious hackers, as the program is installed by default on all Apple machines, and on most Windows PCs (if you have iTunes installed, chances are you also have QuickTime on your system). Indeed, recent automated attack tools have been found to exploit QuickTime flaws.

Mac users can grab the latest, patched version using the built-in Software Update feature. Windows users should be able to fetch the patches using the Apple Software Update program that comes bundled with most relatively recent versions of QuickTime and iTunes.

By Brian Krebs  |  July 12, 2007; 2:52 PM ET
Categories:  New Patches  
Save & Share:  Send E-mail   Facebook   Twitter   Digg   Yahoo Buzz   Del.icio.us   StumbleUpon   Technorati   Google Buzz   Previous: New Threat Pits Internet Explorer Against Firefox
Next: Software Vulnerability Auction Stokes Researchers

Comments

Unfortunately, the update does not support Windows2000. See
http://docs.info.apple.com/article.html?
artnum=61798

Posted by: Anonymous | July 12, 2007 3:48 PM | Report abuse

Unfortunately, the update does not support Windows2000. See:
http://docs.info.apple.com/article.html?
artnum=61798

Posted by: Anonymous | July 12, 2007 3:49 PM | Report abuse

I've once or twice had some difficulty with Apple Software Update on Windows boxes. If anyone needs to download the new version directly, this link should work:

http://www.apple.com/support/downloads/quicktime72forwindows.html

Posted by: Rich Gibbs | July 12, 2007 5:04 PM | Report abuse

A little off topic, but Apple needs to work on the Windows version of Software Update. If I'm running as a limited user account, then by default Software Update will interrupt what I'm doing to tell me to upgrade my software, and if I continue it just fails in an error saying I need to log out and back in as an administrator! So what was even the point of interrupting me?

Most of this is limitations in Windows XP, but there must be a more elegant program workflow that takes these limitations into account. For one, if it realizes it doesn't have permission to upgrade it should just alert the user that updates are available, not ask to install them. Even better would be if it took advantage of XP's "run as" feature in some way.

Posted by: BR | July 13, 2007 12:15 PM | Report abuse

The comments to this entry are closed.

 
 
RSS Feed
Subscribe to The Post

© 2010 The Washington Post Company